GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
    Fund Management API
      Crypto Fund Management
      Cash & Fiat Management
      Balances & Account Transfers
        Get Available BalancesGet Notional BalancesTransfer Between AccountsList Past TransfersGet Transaction HistoryList Custody Fee Transfers
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

List Past Transfers

TradingFund ManagementList Past Transfers

List Past Transfers

POSThttps://api.gemini.com/v2/transfers

Returns deposits and withdrawals in supported currencies with full multichain (multi-network) support. When deposits show as Advanced or Complete they are available for trading.

Note

Under the terms of the Gemini API Agreement, polling this endpoint may be subject to rate limiting. This endpoint is currently restricted further than standard rate limiting to a rate of 1 request per 5 seconds per subaccount. This rate is subject to change.

This endpoint does not currently show cancelled advances, returned outgoing wires or ACH transactions, or other exceptional transaction circumstances.

Fiat transfers between non-derivative and derivatives accounts are prohibited.

POSTv2/transfers
curl --request POST \
  --url https://api.gemini.com/v2/transfers \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v2/transfers",
  "nonce": "<nonce>"
}
'

Roles

The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See Roles for more information.

The OAuth scope must have history:read assigned to access this endpoint. See OAuth Scopes for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

requeststring·required
The literal string "/v2/transfers"
nonceTimestampType | integer·required
timestampExample: 1495127793000
currencystring
Currency code, see symbols and minimums
networkstring
Filter transfers by blockchain network (e.g., `ethereum`, `solana`, `arbitrum`, `optimism`, `base`, `avalanche`)
timestampstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
limit_transfersinteger
The maximum number of transfers to return. The default is 10 and the maximum is 50.
accountstring
Required for Master API keys. The name of the account within the subaccount group.
show_completed_deposit_advancesboolean
Whether to display completed deposit advances. True by default.
Example request body
{
  "request": "/v2/transfers",
  "nonce": "<nonce>"
}

Responses

Successful operation

typestring·enum
The type of the transferEnum values: DepositWithdrawalRewardAdminDebitAdminCredit
statusstring·enum
The status of the transferEnum values: CompletePendingAdvanced
timestampmsstring | integer
Gemini strongly recommends using milliseconds instead of seconds for timestamps.
Timestamp format
Example
Supported request type
string (seconds)
1495127793
POST only
string (milliseconds)
1495127793000
POST only
whole number (seconds)
1495127793
GET, POST
whole number (milliseconds)
1495127793000
GET, POST
Example: 1495127793000
eidinteger (int64)
The transfer event ID
currencystring
The currency transferred
amountstring
The amount transferred
networkstring
The blockchain network the transfer was executed on (e.g., `ethereum`, `solana`, `arbitrum`, `optimism`, `base`, `avalanche`). Not present for fiat or administrative transfers.
feeAmountstring
The fee charged for the transfer
feeCurrencystring
The currency in which the fee was charged
txHashstring
The on-chain transaction hash, if applicable
methodstring
The transfer method (e.g., `ACH`, `CreditCard`)
destinationstring
The destination address for withdrawals
withdrawalIdstring
The unique withdrawal identifier
outputIdxinteger
The output index for withdrawals
purposestring
The purpose or reason for administrative transfers
Example Responses
[
  {
    "type": "Withdrawal",
    "status": "Complete",
    "timestampms": 1772818620354,
    "eid": 368598436530,
    "currency": "USDC",
    "amount": "0.01",
    "network": "ethereum",
    "feeAmount": "0.118856",
    "feeCurrency": "USDC",
    "txHash": "714a15c4fd2d37629d27e56a63aaec5f91e0053dde3eb357be71663c1197b391",
    "destination": "0x83cFb8C13f06716b449E5D24F5b4cc6Cc64a189A",
    "withdrawalId": "69ab0b0f-3c76-433d-84a5-c8bcc6718411"
  },
  {
    "type": "Withdrawal",
    "status": "Complete",
    "timestampms": 1772034480391,
    "eid": 368474658614,
    "currency": "USDC",
    "amount": "1799",
    "network": "solana",
    "feeAmount": "0.202536",
    "feeCurrency": "USDC",
    "txHash": "4vJ9JU1bJJE96FWSJKvHsmmFADCg4gpZQff4P3bkLKi",
    "withdrawalId": "9b7a5100-b3ee-4820-9b5b-c2dd7db6559b"
  },
  {
    "type": "Deposit",
    "status": "Advanced",
    "timestampms": 1771990797452,
    "eid": 309356152,
    "currency": "ETH",
    "amount": "100",
    "network": "ethereum",
    "feeAmount": "0",
    "feeCurrency": "ETH",
    "txHash": "605c5fa8bf99458d24d61e09941bc443ddc44839d9aaa508b14b296c0c8269b2"
  }
]
PreviousCreate New Deposit AddressNextList Custody Fee Transfers